勉強メモ

主にプログラミングの勉強メモ

bundle install で pg のインストールに失敗

Amazon colud9 で bundle install したところ以下のエラーが発生

bundle install
----- 中略 ----

Gem files will remain installed in /usr/local/rvm/gems/ruby-2.5.1/gems/pg-0.20.0 for inspection.
Results logged to /usr/local/rvm/gems/ruby-2.5.1/extensions/x86_64-linux/2.5.0/pg-0.20.0/gem_make.out

An error occurred while installing pg (0.20.0), and Bundler cannot continue.
Make sure that `gem install pg -v '0.20.0' --source 'https://rubygems.org/'` succeeds before bundling.

In Gemfile:
  pg

以下のコマンドで解決。

sudo yum install postgresql-devel